function love.load()
    love.graphics.setBackgroundColor(0,0,0)
    love.graphics.setNewFont(16)
    love.window.setMode( 800, 600, {fullscreen=false} )
    love.window.setTitle( "Simple Collision" )
    love.mouse.setVisible( true )
    x = 375
    y = 275
    velx = 0
    vely = 0
    time = 0
    start = true
    dead = false
    force = 0
    imageUp = love.graphics.newImage("images/up.png")
    imageDown = love.graphics.newImage("images/down.png")
    imageRight = love.graphics.newImage("images/right.png")
    imageLeft = love.graphics.newImage("images/left.png")
    imageUpRight = love.graphics.newImage("images/upright.png")
    imageUpLeft = love.graphics.newImage("images/upleft.png")
    imageDownRight = love.graphics.newImage("images/downright.png")
    imageDownLeft = love.graphics.newImage("images/downleft.png")
end

function love.update(dt)
    if velx ~= 0 or vely ~= 0 then
        time = time + dt
    end
    if math.ceil(time) ~= 0 and math.ceil(time)%3 == 0 then
        force = math.random(1,8)
    end
    if love.keyboard.isDown("escape") then
        love.event.push("quit")
    end
    if force > 0 then
        if force == 1 then
            velx = -100 * dt
            vely = -100 * dt
        elseif force == 2 then
            velx = 0
            vely = -100 * dt
        elseif force == 3 then
            velx = 100 * dt
            vely = -100 * dt
        elseif force == 4 then
            velx = -100 * dt
            vely = 0
        elseif force == 5 then
            velx = 100 * dt
            vely = 0
        elseif force == 6 then
            velx = -100 *dt
            vely = 100 * dt
        elseif force == 7 then
            velx = 0
            vely = 100 * dt
        elseif force == 8 then
            velx = 100 * dt
            vely = 100 * dt
        end
    end
    if not start then
        if love.keyboard.isDown("right") then
            velx = velx + (120 * dt)
        end
        if love.keyboard.isDown("left") then
            velx = velx + (-120 * dt)
        end
        if love.keyboard.isDown("up") then
            vely = vely + (-120 * dt)
        end
        if love.keyboard.isDown("down") then
            vely = vely + (120 * dt)
        end
    end
    if love.keyboard.isDown(" ") and dead then
        x = 375
        y = 275
        velx = 0
        vely = 0
        time = 0
        dead = false
        force = math.random(1,8)
    end
    if love.keyboard.isDown(" ") and start then
        start = false
        force = math.random(1,8)
    end
    if x < 275 or x > 475 or y < 175 or y > 375 then
        velx = 0
        vely = 0
        dead = true
    end
    x = x + velx
    y = y + vely
end

function love.draw()
    love.graphics.setColor(255, 255, 255)
    love.graphics.print(math.ceil(time), 10, 10)
    love.graphics.setColor(0, 0, 255)
    love.graphics.rectangle("line", 275, 175, 250, 250)
    if start then
        love.graphics.setColor(255, 255, 255)
        love.graphics.print("Press Space to start", 10, 30)
    end
    if dead then
        love.graphics.setColor(255, 0, 0)
        love.graphics.rectangle("fill", x, y, 50, 50)
        love.graphics.setColor(255, 255, 255)
        love.graphics.print("You survived "..math.ceil(time).." seconds.", 10, 30)
        love.graphics.print("Press Space to start again.", 10, 50)
    else
        love.graphics.setColor(0,255,0)
        love.graphics.rectangle("fill", x, y, 50, 50)
    end
    love.graphics.draw(imageUpLeft, 190, 90)
    love.graphics.draw(imageUp, 364, 80)
    love.graphics.draw(imageUpRight, 550, 90)
    love.graphics.draw(imageLeft, 180, 264)
    love.graphics.draw(imageRight, 564, 264)
    love.graphics.draw(imageDownLeft, 190, 450)
    love.graphics.draw(imageDown, 364, 460)
    love.graphics.draw(imageDownRight, 550, 450)
    love.graphics.setColor(255, 0, 0)
    if force == 1 then
        love.graphics.draw(imageUpLeft, 190, 90)
    elseif force == 2 then
        love.graphics.draw(imageUp, 364, 80)
    elseif force == 3 then
        love.graphics.draw(imageUpRight, 550, 90)
    elseif force == 4 then
        love.graphics.draw(imageLeft, 180, 264)
    elseif force == 5 then
        love.graphics.draw(imageRight, 564, 264)
    elseif force == 6 then
        love.graphics.draw(imageDownLeft, 190, 450)
    elseif force == 7 then
        love.graphics.draw(imageDown, 364, 460)
    elseif force == 8 then
        love.graphics.draw(imageDownRight, 550, 450)
    end
end
